FocusTraversalType (JGoodies Forms 1.9 API)
Date: 2015-02-02

com.jgoodies.forms.util

## Enum FocusTraversalType

- java.lang.Object
- - java.lang.Enum<FocusTraversalType>
  - - com.jgoodies.forms.util.FocusTraversalType

- All Implemented Interfaces:
    Serializable, Comparable<FocusTraversalType>

      public enum FocusTraversalType
      extends Enum<FocusTraversalType>

  An abstraction for frequently used focus traversal policy types. Used by the `ListViewBuilder` and `FormBuilder`.
  Since:
    1.9
  Version:
    $Revision: 1.2 $
  Author:
    Karsten Lentzsch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTAINER_ORDER` A focus traversal type that shall be turned into a focus traversal policy that is based on the container order, for example `ContainerOrderFocusTraversalPolicy` or `JGContainerOrderFocusTraversalPolicy`.
    `LAYOUT` A focus traversal type that shall be turned into a focus traversal policy that is based on the layout, for example `LayoutFocusTraversalPolicy` or `JGLayoutFocusTraversalPolicy`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FocusTraversalType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FocusTraversalType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LAYOUT

          public static final FocusTraversalType LAYOUT

      A focus traversal type that shall be turned into a focus traversal policy that is based on the layout, for example `LayoutFocusTraversalPolicy` or `JGLayoutFocusTraversalPolicy`.

    - #### CONTAINER_ORDER

          public static final FocusTraversalType CONTAINER_ORDER

      A focus traversal type that shall be turned into a focus traversal policy that is based on the container order, for example `ContainerOrderFocusTraversalPolicy` or `JGContainerOrderFocusTraversalPolicy`.

  - ### Method Detail

    - #### values

          public static FocusTraversalType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FocusTraversalType c : FocusTraversalType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FocusTraversalType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2002-2015 JGoodies Software GmbH. All Rights Reserved.